## golang-github-jung-kurt-gofpdf 2.17.3+ds

=== Makefile ===
all : documentation

documentation : doc/index.html doc.go README.md 

cov : all
	go test -v -coverprofile=coverage && go tool cover -html=coverage -o=coverage.html

check :
	golint .
	go vet -all .
	gofmt -s -l .
	goreportcard-cli -v | grep -v cyclomatic

README.md : doc/document.md
	pandoc --read=markdown --write=gfm < $< > $@

doc/index.html : doc/document.md doc/html.txt
	pandoc --read=markdown --write=html --template=doc/html.txt \
		--metadata pagetitle="GoFPDF Document Generator" < $< > $@

doc.go : doc/document.md doc/go.awk
	pandoc --read=markdown --write=plain $< | awk --assign=package_name=gofpdf --file=doc/go.awk > $@
	gofmt -s -w $@

build :
	go build -v

clean :
	rm -f coverage.html coverage doc/index.html doc.go README.md

=== internal/files/bin/Makefile ===
TRG= ../files.go
JSON= ../../../font/calligra.json
Z= ../../../font/calligra.z

${TRG} : ${JSON} ${Z} ./bin
	echo "package files" >  ${TRG}
	echo "" >> ${TRG}
	echo "// CalligraJson is embedded byte slice for calligra.json" >> ${TRG}
	echo "var CalligraJson = []byte{" >> ${TRG}
	./bin < ${JSON} >> ${TRG}
	echo "}" >> ${TRG}
	echo "" >> ${TRG}
	echo "// CalligraZ is embedded byte slice for calligra.z" >> ${TRG}
	echo "var CalligraZ = []byte{" >> ${TRG}
	./bin < ${Z} >> ${TRG}
	echo "}" >> ${TRG}
	gofmt -s -w ${TRG}

./bin : bin.go
	go build -v

clean :
	rm -f ./bin ${TRG}

## golang-github-jung-kurt-gofpdf 2.17.2+ds

=== debian/changelog ===
golang-github-jung-kurt-gofpdf (2.17.2+ds-3) unstable; urgency=medium

  * Do not Remove extra license file

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 10 Nov 2020 21:13:21 +0530

golang-github-jung-kurt-gofpdf (2.17.2+ds-2) unstable; urgency=low

  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jul 2020 21:55:59 +0200

golang-github-jung-kurt-gofpdf (2.17.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #966009)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jun 2020 11:43:11 +0200

=== debian/control ===
Source: golang-github-jung-kurt-gofpdf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <npatra974@gmail.com>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jung-kurt-gofpdf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jung-kurt-gofpdf.git
Homepage: https://github.com/jung-kurt/gofpdf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jung-kurt/gofpdf

Package: golang-github-jung-kurt-gofpdf-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: PDF document generator with high level support for text, drawing and images
 Package gofpdf implements a PDF document generator with high level
 support for text, drawing and images.  Features
  * UTF-8 support
  * Choice of measurement unit, page format and margins
  * Page header and footer management
  * Automatic page breaks, line breaks, and text justification
  * Inclusion of JPEG, PNG, GIF, TIFF and basic path-only SVG images
  * Colors, gradients and alpha channel transparency
  * Outline bookmarks
  * Internal and external links
  * TrueType, Type1 and encoding support
  * Page compression
  * Lines, Bézier curves, arcs, and ellipses
  * Rotation, scaling, skewing, translation, and mirroring
  * Clipping
  * Document protection
  * Layers
  * Templates
  * Barcodes
  * Charting facility
  * Import PDFs as templates

## golang-github-jung-kurt-gofpdf 2.17.3+ds

=== debian/changelog ===
golang-github-jung-kurt-gofpdf (2.17.3+ds-1) unstable; urgency=medium

  * Team Upload.
  [ Nilesh Patra ]
  * New upstream version 2.17.3+ds
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + golang-github-jung-kurt-gofpdf-dev: Add Multi-Arch: foreign.

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Oct 2025 20:58:03 +0530

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: golang-github-jung-kurt-gofpdf
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <npatra974@gmail.com>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jung-kurt-gofpdf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jung-kurt-gofpdf.git
 Homepage: https://github.com/jung-kurt/gofpdf
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/jung-kurt/gofpdf
 
 Package: golang-github-jung-kurt-gofpdf-dev
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: foreign
 Description: PDF document generator with high level support for text, drawing and images
  Package gofpdf implements a PDF document generator with high level
  support for text, drawing and images.  Features

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := list makefont internal/files/bin
export DH_GOLANG_INSTALL_EXTRA := $(wildcard image/* font/* text/*) pdf/reference LICENSE

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# check whether Nilesh's patch had worked and internal/files is excluded:
	find . -name fpdf_test.go -exec grep -H 'internal/files' \{\} \;
	# Try to copy everything to build dir
	cp -a internal/files _build/src/github.com/jung-kurt/gofpdf/internal
	dh_auto_test
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gofpdf-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/, \
      dversionmangle=auto, \
      repacksuffix=+ds" \
  https://github.com/jung-kurt/gofpdf/tags .*/v?(\d\S*)\.tar\.gz debian
